# QVM: Quaternions, Vectors, Matrices

### operator*(scalar,mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_scalar<A>::value && is_mat<B>::value
            template <class A,class B>
            typename deduce_mat<B>::type
            operator*( A a, B const & b );
        }
    }

#### Returns:

A matrix that is the result of multiplying the scalar a by the matrix b.

See also: boost/qvm/mat_operations.hpp